# Form implementation generated from reading ui file 'src/eric7/WebBrowser/WebAuth/Fido2PinDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_Fido2PinDialog(object):
    def setupUi(self, Fido2PinDialog):
        Fido2PinDialog.setObjectName("Fido2PinDialog")
        Fido2PinDialog.resize(400, 280)
        Fido2PinDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(Fido2PinDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=Fido2PinDialog)
        self.headerLabel.setText("Header")
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.descriptionLabel = QtWidgets.QLabel(parent=Fido2PinDialog)
        self.descriptionLabel.setText("Description")
        self.descriptionLabel.setObjectName("descriptionLabel")
        self.verticalLayout.addWidget(self.descriptionLabel)
        self.remainingWidget = QtWidgets.QWidget(parent=Fido2PinDialog)
        self.remainingWidget.setObjectName("remainingWidget")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.remainingWidget)
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label = QtWidgets.QLabel(parent=self.remainingWidget)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.remainingLabel = QtWidgets.QLabel(parent=self.remainingWidget)
        self.remainingLabel.setObjectName("remainingLabel")
        self.horizontalLayout_2.addWidget(self.remainingLabel)
        spacerItem = QtWidgets.QSpacerItem(251, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.verticalLayout.addWidget(self.remainingWidget)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.pinLabel = QtWidgets.QLabel(parent=Fido2PinDialog)
        self.pinLabel.setObjectName("pinLabel")
        self.horizontalLayout.addWidget(self.pinLabel)
        self.pinEdit = QtWidgets.QLineEdit(parent=Fido2PinDialog)
        self.pinEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.pinEdit.setObjectName("pinEdit")
        self.horizontalLayout.addWidget(self.pinEdit)
        self.pinButton = QtWidgets.QToolButton(parent=Fido2PinDialog)
        self.pinButton.setCheckable(True)
        self.pinButton.setObjectName("pinButton")
        self.horizontalLayout.addWidget(self.pinButton)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.newPinGroupBox = QtWidgets.QGroupBox(parent=Fido2PinDialog)
        self.newPinGroupBox.setFlat(True)
        self.newPinGroupBox.setObjectName("newPinGroupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.newPinGroupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.newPinLabel = QtWidgets.QLabel(parent=self.newPinGroupBox)
        self.newPinLabel.setObjectName("newPinLabel")
        self.gridLayout.addWidget(self.newPinLabel, 0, 0, 1, 1)
        self.confirmNewPinLabel = QtWidgets.QLabel(parent=self.newPinGroupBox)
        self.confirmNewPinLabel.setObjectName("confirmNewPinLabel")
        self.gridLayout.addWidget(self.confirmNewPinLabel, 1, 0, 1, 1)
        self.confirmNewPinEdit = QtWidgets.QLineEdit(parent=self.newPinGroupBox)
        self.confirmNewPinEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.confirmNewPinEdit.setObjectName("confirmNewPinEdit")
        self.gridLayout.addWidget(self.confirmNewPinEdit, 1, 1, 1, 1)
        self.newPinEdit = QtWidgets.QLineEdit(parent=self.newPinGroupBox)
        self.newPinEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.newPinEdit.setObjectName("newPinEdit")
        self.gridLayout.addWidget(self.newPinEdit, 0, 1, 1, 1)
        self.newPinButton = QtWidgets.QToolButton(parent=self.newPinGroupBox)
        self.newPinButton.setCheckable(True)
        self.newPinButton.setObjectName("newPinButton")
        self.gridLayout.addWidget(self.newPinButton, 0, 2, 1, 1)
        self.verticalLayout.addWidget(self.newPinGroupBox)
        self.pinErrorLabel = QtWidgets.QLabel(parent=Fido2PinDialog)
        self.pinErrorLabel.setText("PIN Error")
        self.pinErrorLabel.setWordWrap(True)
        self.pinErrorLabel.setObjectName("pinErrorLabel")
        self.verticalLayout.addWidget(self.pinErrorLabel)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=Fido2PinDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(Fido2PinDialog)
        self.buttonBox.accepted.connect(Fido2PinDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(Fido2PinDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(Fido2PinDialog)
        Fido2PinDialog.setTabOrder(self.pinEdit, self.newPinEdit)
        Fido2PinDialog.setTabOrder(self.newPinEdit, self.confirmNewPinEdit)
        Fido2PinDialog.setTabOrder(self.confirmNewPinEdit, self.pinButton)
        Fido2PinDialog.setTabOrder(self.pinButton, self.newPinButton)

    def retranslateUi(self, Fido2PinDialog):
        _translate = QtCore.QCoreApplication.translate
        Fido2PinDialog.setWindowTitle(_translate("Fido2PinDialog", "PIN Entry"))
        self.label.setText(_translate("Fido2PinDialog", "Attempts remaining:"))
        self.pinLabel.setText(_translate("Fido2PinDialog", "PIN:"))
        self.pinEdit.setToolTip(_translate("Fido2PinDialog", "Enter the PIN"))
        self.pinButton.setToolTip(_translate("Fido2PinDialog", "Press to show or hide the PIN."))
        self.newPinGroupBox.setTitle(_translate("Fido2PinDialog", "New PIN"))
        self.newPinLabel.setText(_translate("Fido2PinDialog", "PIN:"))
        self.confirmNewPinLabel.setText(_translate("Fido2PinDialog", "Confirm PIN:"))
        self.confirmNewPinEdit.setToolTip(_translate("Fido2PinDialog", "Enter the same PIN again."))
        self.newPinEdit.setToolTip(_translate("Fido2PinDialog", "Enter the new PIN"))
        self.newPinButton.setToolTip(_translate("Fido2PinDialog", "Press to show or hide the new PIN."))
